<h1>This is Task 4</h1>

<div style="display: flex;justify-content: center; flex-direction: column; align-items: center;text-align: center; border:1px solid;border-radius: 10px;height: 500px;width: 500px;box-shadow: 1px 1px 5px grey;margin-top: 50px;">
    <div style="display: flex;gap: 20px;">
     <button (click)='history.push({curret:offset,clicked:5,newvalue:offset+5});offset = offset+5; ' type="button"class="btn btn-primary">B1</button>
     <button (click)='history.push({curret:offset,clicked:10,newvalue:offset+10});offset = offset+10;' type="button"class="btn btn-primary">B2</button>
     <button (click)='history.push({curret:offset,clicked:15,newvalue:offset+15});offset = offset+15;' type="button" class="btn btn-primary">B3</button>
    </div>
 
    <div style="display: flex; gap:20px;margin-top: 20px;">
        <p>B1=5</p>
        <p>B2=10</p>
        <p>B3=15</p>
    </div> 

    <div style="display: flex;gap:10px; margin-top:10px; border:1px solid;border-radius: 5px;height: 30px;width: 150px;border-color: grey;">
     <strong style="font-size: 15px;font-family: Arial, Helvetica, sans-serif;text-decoration: underline;margin-left: 5px;margin-top: 5px;">counter value:</strong>{{offset}}
    </div>

    <hr style="display: flex;border:1px solid;color:rgb(34, 34, 116) ;height:0px;width: 400px;"> 

    <div>
        <p style="font-size: 20px;font-family:Arial, Helvetica, sans-serif ;">History:</p>
        <p *ngFor="let number of history">
            {{number | json}}
        </p>
    </div>
    
</div>






<!-- <div *ngFor="let user of ys.users">
    <p>Name:{{user.name}}</p>
    <p>Age:{{user.age}}</p>
    <p>Email:{{user.email}}</p>
    <p>Phone:{{user.phone}}</p>
</div> -->




<!-- <body style="padding: 20px; box-sizing: border-box;">
    <div style="display: flex; justify-content: center; align-items: center; background-color: red; height: 100%; width: auto; margin-top: 70px;">
        <div style="height:600px; width:400px; border:2px; background-color:blue; display: flex; justify-content: center; align-items: center; flex-direction: column;position: relative;">
            <div style="height:50px; width: 100px; border:2px; background-color:yellow"></div>
            <div style="height:50px; width: 100px; border:2px; background-color:grey; position: absolute; bottom: 10px; left: 10px;"></div>
        </div>
        <div style="display: flex; flex-direction: column;">
            <div style="height:300px; width:400px; border:2px; background-color:brown;  display: flex; justify-content: flex-end;">
                <div style="height:50px; width: 100px; border:2px; background-color: orange; margin-top: 10px; margin-right: 10px;"></div>
            </div>
            <div style="height:300px; width:400px; border:2px; background-color:green"></div>
        </div>
    </div> 
</body> -->


